|
From: Bob T. <bt...@us...> - 2003-12-12 19:14:32
|
Update of /cvsroot/benson/benson3
In directory sc8-pr-cvs1:/tmp/cvs-serv22671
Modified Files:
configure configure.ac
Log Message:
latest changes
Index: configure
===================================================================
RCS file: /cvsroot/benson/benson3/configure,v
retrieving revision 1.63
retrieving revision 1.64
diff -C2 -r1.63 -r1.64
*** configure 8 Nov 2003 21:05:14 -0000 1.63
--- configure 12 Dec 2003 19:14:27 -0000 1.64
***************
*** 309,313 ****
#endif"
! ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os AWK CPP RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA greppath sedpath trpath uniqpath sortpath unamepath arpath PERL END CONF_PIC EGREP LD_SEARCH_FLAG perlpath PERL_CFLAGS PERL_LIBS PERL_LDFLAGS PERL_SLIBS pythonpath tclpath ALL_LIBS LIBOBJS LTLIBOBJS'
ac_subst_files=''
--- 309,313 ----
#endif"
! ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os AWK CPP RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA greppath sedpath trpath uniqpath sortpath unamepath arpath PERL END CONF_PIC EGREP LD_SEARCH_FLAG perlpath PERL_CFLAGS PERL_LIBS PERL_LDFLAGS PERL_SLIBS ALL_LIBS LIBOBJS LTLIBOBJS'
ac_subst_files=''
***************
*** 854,858 ****
--with-ssl=dir Find SSL libraries for SSL/TLS support below dir
--with-expat=dir Find expat libraries for XML support below dir
- --with-db=dir Find Berkeley DB libraries for Benson below dir
Some influential environment variables:
--- 854,857 ----
***************
*** 3339,3344 ****
with_perl=yes
fi;
- #AC_ARG_WITH(python, [ --with-python=dir Find Python libraries for Python support below dir],python_dir=$withval, with_python=no)
- #AC_ARG_WITH(tcl, [ --with-tcl=dir Find TCL libraries for TCL support below dir],tcl_dir=$withval, with_tcl=no)
# Check whether --with-ssl or --without-ssl was given.
--- 3338,3341 ----
***************
*** 3357,3368 ****
with_expat=no
fi;
!
! # Check whether --with-db or --without-db was given.
! if test "${with_db+set}" = set; then
! withval="$with_db"
! db_dir=$withval
! else
! with_db=no
! fi;
# Check whether --enable-debug or --disable-debug was given.
if test "${enable_debug+set}" = set; then
--- 3354,3358 ----
with_expat=no
fi;
! #AC_ARG_WITH(db, [ --with-db=dir Find Berkeley DB libraries for Benson below dir],db_dir=$withval, with_db=no)
# Check whether --enable-debug or --disable-debug was given.
if test "${enable_debug+set}" = set; then
***************
*** 3411,3418 ****
fi
! if test X"$with_db" != Xno; then
! CPPFLAGS="$CPPFLAGS -I$db_dir/include"
! LDFLAGS="$LDFLAGS -R$db_dir/lib -L$db_dir/lib"
! fi
--- 3401,3408 ----
fi
! #if test X"$with_db" != Xno; then
! # CPPFLAGS="$CPPFLAGS -I$db_dir/include"
! # LDFLAGS="$LDFLAGS -R$db_dir/lib -L$db_dir/lib"
! #fi
***************
*** 4649,4794 ****
done
!
! for ac_header in db.h
! do
! as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
! echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
! echo $ECHO_N "(cached) $ECHO_C" >&6
! fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
! else
! # Is the header compilable?
! echo "$as_me:$LINENO: checking $ac_header usability" >&5
! echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h. */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h. */
! $ac_includes_default
! #include <$ac_header>
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
! (eval $ac_compile) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); } &&
! { ac_try='test -s conftest.$ac_objext'
! { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
! (eval $ac_try) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); }; }; then
! ac_header_compiler=yes
! else
! echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
!
! ac_header_compiler=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
! echo "${ECHO_T}$ac_header_compiler" >&6
!
! # Is the header present?
! echo "$as_me:$LINENO: checking $ac_header presence" >&5
! echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h. */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h. */
! #include <$ac_header>
! _ACEOF
! if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
! (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
! ac_status=$?
! grep -v '^ *+' conftest.er1 >conftest.err
! rm -f conftest.er1
! cat conftest.err >&5
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); } >/dev/null; then
! if test -s conftest.err; then
! ac_cpp_err=$ac_c_preproc_warn_flag
! else
! ac_cpp_err=
! fi
! else
! ac_cpp_err=yes
! fi
! if test -z "$ac_cpp_err"; then
! ac_header_preproc=yes
! else
! echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
!
! ac_header_preproc=no
! fi
! rm -f conftest.err conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
! echo "${ECHO_T}$ac_header_preproc" >&6
!
! # So? What about this header?
! case $ac_header_compiler:$ac_header_preproc in
! yes:no )
! { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
! { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
! (
! cat <<\_ASBOX
! ## ------------------------------------ ##
! ## Report this to bug...@gn.... ##
! ## ------------------------------------ ##
! _ASBOX
! ) |
! sed "s/^/$as_me: WARNING: /" >&2
! ;;
! no:yes )
! { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
! echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
! { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
! echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
! { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
! (
! cat <<\_ASBOX
! ## ------------------------------------ ##
! ## Report this to bug...@gn.... ##
! ## ------------------------------------ ##
! _ASBOX
! ) |
! sed "s/^/$as_me: WARNING: /" >&2
! ;;
! esac
! echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
! echo $ECHO_N "(cached) $ECHO_C" >&6
! else
! eval "$as_ac_Header=$ac_header_preproc"
! fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
!
! fi
! if test `eval echo '${'$as_ac_Header'}'` = yes; then
! cat >>confdefs.h <<_ACEOF
! #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
! _ACEOF
!
! fi
!
! done
!
echo "$as_me:$LINENO: checking for open in -lnsl" >&5
--- 4639,4643 ----
done
! #AC_CHECK_HEADERS(db.h)
echo "$as_me:$LINENO: checking for open in -lnsl" >&5
***************
*** 5367,5434 ****
fi
!
! echo "$as_me:$LINENO: checking for open in -ldb" >&5
! echo $ECHO_N "checking for open in -ldb... $ECHO_C" >&6
! if test "${ac_cv_lib_db_open+set}" = set; then
! echo $ECHO_N "(cached) $ECHO_C" >&6
! else
! ac_check_lib_save_LIBS=$LIBS
! LIBS="-ldb $LIBS"
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h. */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h. */
!
! /* Override any gcc2 internal prototype to avoid an error. */
! #ifdef __cplusplus
! extern "C"
! #endif
! /* We use char because int might match the return type of a gcc2
! builtin and then its argument prototype would still apply. */
! char open ();
! int
! main ()
! {
! open ();
! ;
! return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
! (eval $ac_link) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); } &&
! { ac_try='test -s conftest$ac_exeext'
! { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
! (eval $ac_try) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); }; }; then
! ac_cv_lib_db_open=yes
! else
! echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
!
! ac_cv_lib_db_open=no
! fi
! rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
! LIBS=$ac_check_lib_save_LIBS
! fi
! echo "$as_me:$LINENO: result: $ac_cv_lib_db_open" >&5
! echo "${ECHO_T}$ac_cv_lib_db_open" >&6
! if test $ac_cv_lib_db_open = yes; then
! cat >>confdefs.h <<_ACEOF
! #define HAVE_LIBDB 1
! _ACEOF
!
! LIBS="-ldb $LIBS"
!
! fi
!
echo "$as_me:$LINENO: checking for BN_init in -lcrypto" >&5
--- 5216,5220 ----
fi
! #AC_CHECK_LIB(db, open)
echo "$as_me:$LINENO: checking for BN_init in -lcrypto" >&5
***************
*** 5724,5836 ****
fi
-
- if test X"$with_python" = Xyes; then
- # Extract the first word of ""python"", so it can be a program name with args.
- set dummy "python"; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_pythonpath+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $pythonpath in
- [\\/]* | ?:[\\/]*)
- ac_cv_path_pythonpath="$pythonpath" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_pythonpath="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
-
- ;;
- esac
- fi
- pythonpath=$ac_cv_path_pythonpath
-
- if test -n "$pythonpath"; then
- echo "$as_me:$LINENO: result: $pythonpath" >&5
- echo "${ECHO_T}$pythonpath" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
-
- echo "$as_me:$LINENO: checking for Python compile flags" >&5
- echo $ECHO_N "checking for Python compile flags... $ECHO_C" >&6
- echo "$as_me:$LINENO: result: not found, building without Python." >&5
- echo "${ECHO_T}not found, building without Python." >&6
- fi
-
- if test X"$with_tcl" = Xyes; then
- # Extract the first word of ""tclsh"", so it can be a program name with args.
- set dummy "tclsh"; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_tclpath+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $tclpath in
- [\\/]* | ?:[\\/]*)
- ac_cv_path_tclpath="$tclpath" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_tclpath="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
-
- ;;
- esac
- fi
- tclpath=$ac_cv_path_tclpath
-
- if test -n "$tclpath"; then
- echo "$as_me:$LINENO: result: $tclpath" >&5
- echo "${ECHO_T}$tclpath" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
-
- echo "$as_me:$LINENO: checking version" >&5
- echo $ECHO_N "checking version... $ECHO_C" >&6
- TCL_VERSION=`echo 'puts "$tcl_version"' | $tclpath`
- if test "_$TCL_VERSION" = _ ; then
- echo "$as_me:$LINENO: result: version not found, building without Tcl." >&5
- echo "${ECHO_T}version not found, building without Tcl." >&6
- else
- echo "$as_me:$LINENO: result: $TCL_VERSION" >&5
- echo "${ECHO_T}$TCL_VERSION" >&6
- fi
- echo "$as_me:$LINENO: checking for Tcl compile flags" >&5
- echo $ECHO_N "checking for Tcl compile flags... $ECHO_C" >&6
- TCL_CFLAGS="-I/usr/include/"
- TCL_LDFLAGS="-L/usr/lib/ -ltcl$TCL_VERSION"
- CFLAGS="$CFLAGS $TCL_CFLAGS"
- LIBS="$LIBS $TCL_LDFLAGS"
- echo "$as_me:$LINENO: result: ok" >&5
- echo "${ECHO_T}ok" >&6
- # AC_MSG_RESULT([not found, building without Tcl.])
- fi
-
-
LIBS=`echo $LIBS | $trpath ' ' '\n' | $sortpath | $uniqpath | $trpath '\n' ' '`
LIBS="$LIBS $CONF_LIBS"
--- 5510,5513 ----
***************
*** 6526,6531 ****
s,@PERL_LDFLAGS@,$PERL_LDFLAGS,;t t
s,@PERL_SLIBS@,$PERL_SLIBS,;t t
- s,@pythonpath@,$pythonpath,;t t
- s,@tclpath@,$tclpath,;t t
s,@ALL_LIBS@,$ALL_LIBS,;t t
s,@LIBOBJS@,$LIBOBJS,;t t
--- 6203,6206 ----
Index: configure.ac
===================================================================
RCS file: /cvsroot/benson/benson3/configure.ac,v
retrieving revision 1.11
retrieving revision 1.12
diff -C2 -r1.11 -r1.12
*** configure.ac 8 Nov 2003 21:05:15 -0000 1.11
--- configure.ac 12 Dec 2003 19:14:27 -0000 1.12
***************
*** 47,55 ****
AC_ARG_WITH(pgsql, [ --with-pgsql=dir Find PostgreSQL libraries for Perl support below dir],pgsql_dir=$withval, with_pgsql=yes)
AC_ARG_WITH(perl, [ --with-perl=dir Find Perl libraries for Perl support below dir],perl_dir=$withval, with_perl=yes)
- #AC_ARG_WITH(python, [ --with-python=dir Find Python libraries for Python support below dir],python_dir=$withval, with_python=no)
- #AC_ARG_WITH(tcl, [ --with-tcl=dir Find TCL libraries for TCL support below dir],tcl_dir=$withval, with_tcl=no)
AC_ARG_WITH(ssl, [ --with-ssl=dir Find SSL libraries for SSL/TLS support below dir],ssl_dir=$withval, with_ssl=no)
AC_ARG_WITH(expat, [ --with-expat=dir Find expat libraries for XML support below dir],expat_dir=$withval, with_expat=no)
! AC_ARG_WITH(db, [ --with-db=dir Find Berkeley DB libraries for Benson below dir],db_dir=$withval, with_db=no)
AC_ARG_ENABLE(debug, [ --enable-debug Compile using -g], use_debug=$enableval,use_debug=no)
AC_ARG_ENABLE(profile, [ --enable-profiling Compile using -pg], use_profile=$enableval, use_profile=no)
--- 47,53 ----
AC_ARG_WITH(pgsql, [ --with-pgsql=dir Find PostgreSQL libraries for Perl support below dir],pgsql_dir=$withval, with_pgsql=yes)
AC_ARG_WITH(perl, [ --with-perl=dir Find Perl libraries for Perl support below dir],perl_dir=$withval, with_perl=yes)
AC_ARG_WITH(ssl, [ --with-ssl=dir Find SSL libraries for SSL/TLS support below dir],ssl_dir=$withval, with_ssl=no)
AC_ARG_WITH(expat, [ --with-expat=dir Find expat libraries for XML support below dir],expat_dir=$withval, with_expat=no)
! #AC_ARG_WITH(db, [ --with-db=dir Find Berkeley DB libraries for Benson below dir],db_dir=$withval, with_db=no)
AC_ARG_ENABLE(debug, [ --enable-debug Compile using -g], use_debug=$enableval,use_debug=no)
AC_ARG_ENABLE(profile, [ --enable-profiling Compile using -pg], use_profile=$enableval, use_profile=no)
***************
*** 74,81 ****
fi
! if test X"$with_db" != Xno; then
! CPPFLAGS="$CPPFLAGS -I$db_dir/include"
! LDFLAGS="$LDFLAGS -R$db_dir/lib -L$db_dir/lib"
! fi
AC_CHECK_HEADERS(expat.h)
--- 72,79 ----
fi
! #if test X"$with_db" != Xno; then
! # CPPFLAGS="$CPPFLAGS -I$db_dir/include"
! # LDFLAGS="$LDFLAGS -R$db_dir/lib -L$db_dir/lib"
! #fi
AC_CHECK_HEADERS(expat.h)
***************
*** 86,90 ****
AC_CHECK_HEADERS(sys/stat.h)
AC_CHECK_HEADERS(errno.h)
! AC_CHECK_HEADERS(db.h)
AC_CHECK_LIB(nsl, open)
AC_CHECK_LIB(resolv, open)
--- 84,88 ----
AC_CHECK_HEADERS(sys/stat.h)
AC_CHECK_HEADERS(errno.h)
! #AC_CHECK_HEADERS(db.h)
AC_CHECK_LIB(nsl, open)
AC_CHECK_LIB(resolv, open)
***************
*** 96,100 ****
AC_CHECK_LIB(w, open)
AC_CHECK_LIB(resolv, open)
! AC_CHECK_LIB(db, open)
AC_CHECK_LIB(crypto, BN_init)
AC_CHECK_LIB(ssl, SSL_library_init)
--- 94,98 ----
AC_CHECK_LIB(w, open)
AC_CHECK_LIB(resolv, open)
! #AC_CHECK_LIB(db, open)
AC_CHECK_LIB(crypto, BN_init)
AC_CHECK_LIB(ssl, SSL_library_init)
***************
*** 143,172 ****
fi
fi
-
-
- if test X"$with_python" = Xyes; then
- AC_PATH_PROG(pythonpath, "python")
- AC_MSG_CHECKING(for Python compile flags)
- AC_MSG_RESULT([not found, building without Python.])
- fi
-
- if test X"$with_tcl" = Xyes; then
- AC_PATH_PROG(tclpath, "tclsh")
- AC_MSG_CHECKING(version)
- TCL_VERSION=`echo 'puts "$tcl_version"' | $tclpath`
- if test "_$TCL_VERSION" = _ ; then
- AC_MSG_RESULT([version not found, building without Tcl.])
- else
- AC_MSG_RESULT($TCL_VERSION)
- fi
- AC_MSG_CHECKING(for Tcl compile flags)
- TCL_CFLAGS="-I/usr/include/"
- TCL_LDFLAGS="-L/usr/lib/ -ltcl$TCL_VERSION"
- CFLAGS="$CFLAGS $TCL_CFLAGS"
- LIBS="$LIBS $TCL_LDFLAGS"
- AC_MSG_RESULT(ok)
- # AC_MSG_RESULT([not found, building without Tcl.])
- fi
-
LIBS=`echo $LIBS | $trpath ' ' '\n' | $sortpath | $uniqpath | $trpath '\n' ' '`
--- 141,144 ----
|